✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/games/{game}/{gameItemCollection} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"item_data": {},
"parent_id": 123,
"variant_type": "<string>",
"variant_name": "<string>",
"has_variants": true,
"is_variant": true,
"icon_url": "<string>",
"icon_dark_url": "<string>"
}
],
"game_item_collection": {
"name": "<string>",
"slug": "<string>",
"items_count": 123
},
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"acronym": "<string>",
"services": [
"<string>"
],
"game_item_collections": [
{
"name": "<string>",
"slug": "<string>",
"items_count": 123
}
]
}
}Retrieve all items within a specific collection for a game with optional filtering and sorting.
curl --request GET \
--url https://api.gameboost.com/v2/games/{game}/{gameItemCollection} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"item_data": {},
"parent_id": 123,
"variant_type": "<string>",
"variant_name": "<string>",
"has_variants": true,
"is_variant": true,
"icon_url": "<string>",
"icon_dark_url": "<string>"
}
],
"game_item_collection": {
"name": "<string>",
"slug": "<string>",
"items_count": 123
},
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"acronym": "<string>",
"services": [
"<string>"
],
"game_item_collections": [
{
"name": "<string>",
"slug": "<string>",
"items_count": 123
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The slug of the game. Can be retrieved from the list of games.
The slug of the game item collection. Can be retrieved from the list of the game's item types.
Search game items by id, name, or slug
Filter by exact id. Supports comma-separated values for multiple matches.
"3,6,9"
Filter by exact slug. Supports comma-separated values for multiple matches.
"example"
Filter by exact variant type. Supports comma-separated values for multiple matches.
"example"
Filter by exact parent id. Supports comma-separated values for multiple matches.
504535
Filter items that have variants
Filter items that are variants
Sort by field. Prefix with - for descending order.
id, -id, name, -name, created_at, -created_at "name"
A list of game items for a specific collection
Was this page helpful?